KFontCombo Class Reference

`#include <kfontcombo.h>`

Inheritance diagram for KFontCombo:

## Public Member Functions

| KFontCombo (QWidget *parent, const char *name=0)
| KFontCombo (const QStringList &fonts, QWidget *parent, const char *name=0)
virtual | ~KFontCombo ()
void | setFonts (const QStringList &fonts)
void | setCurrentFont (const QString &family)
QString | currentFont () const
void | setBold (bool bold)
bool | bold () const
void | setItalic (bool italic)
bool | italic () const
void | setUnderline (bool underline)
bool | underline () const
void | setStrikeOut (bool strikeOut)
bool | strikeOut () const
void | setSize (int size)
int | size () const
virtual void | setCurrentItem (int i)
Public Member Functions inherited from KComboBox
| KComboBox (QWidget *parent=0, const char *name=0)
| KComboBox (bool rw, QWidget *parent=0, const char *name=0)
virtual | ~KComboBox ()
void | setEditURL (const KURL &url)
void | insertURL (const KURL &url, int index=-1)
void | insertURL (const QPixmap &pixmap, const KURL &url, int index=-1)
void | changeURL (const KURL &url, int index)
void | changeURL (const QPixmap &pixmap, const KURL &url, int index)
int | cursorPosition () const
virtual void | setAutoCompletion (bool autocomplete)
bool | autoCompletion () const
virtual void | setContextMenuEnabled (bool showMenu)
bool | isContextMenuEnabled () const
void | setURLDropsEnabled (bool enable)
bool | isURLDropsEnabled () const
bool | contains (const QString &text) const
void | setTrapReturnKey (bool trap)
bool | trapReturnKey () const
virtual bool | eventFilter (QObject *, QEvent *)
KCompletionBox * | completionBox (bool create=true)
virtual void | setLineEdit (QLineEdit *)
Public Member Functions inherited from KCompletionBase
KCompletion * | completionObject (bool hsig=true)
virtual void | setCompletionObject (KCompletion *compObj, bool hsig=true)
virtual void | setHandleSignals (bool handle)
bool | isCompletionObjectAutoDeleted () const
void | setAutoDeleteCompletionObject (bool autoDelete)
void | setEnableSignals (bool enable)
bool | handleSignals () const
bool | emitSignals () const
virtual void | setCompletionMode (KGlobalSettings::Completion mode)
KGlobalSettings::Completion | completionMode () const
bool | setKeyBinding (KeyBindingType item, const KShortcut &key)
const KShortcut & | getKeyBinding (KeyBindingType item) const
void | useGlobalKeyBindings ()
virtual void | setCompletedText (const QString &text)=0
virtual void | setCompletedItems (const QStringList &items)=0
KCompletion * | compObj () const

## Static Public Member Functions

static bool | displayFonts ()

## Protected Slots

void | slotModified (int i)
Protected Slots inherited from KComboBox
virtual void | itemSelected (QListBoxItem *)
virtual void | makeCompletion (const QString &)

## Protected Member Functions

void | updateFonts ()
virtual void | virtual_hook (int id, void *data)
Protected Member Functions inherited from KComboBox
virtual void | setCompletedText (const QString &, bool)
virtual void | create (WId=0, bool initializeWindow=true, bool destroyOldWindow=true)
virtual void | wheelEvent (QWheelEvent *ev)
Protected Member Functions inherited from KCompletionBase
KeyBindingMap | getKeyBindings () const
void | setDelegate (KCompletionBase *delegate)
KCompletionBase * | delegate () const

## Properties

QString | family
bool | bold
bool | italic
bool | underline
bool | strikeOut
int | fontSize
Properties inherited from KComboBox
bool | autoCompletion
bool | contextMenuEnabled
bool | urlDropsEnabled
bool | trapReturnKey

## Friends

class | KFontListItem

## Additional Inherited Members

Public Types inherited from KCompletionBase
enum | KeyBindingType
Public Slots inherited from KComboBox
void | rotateText (KCompletionBase::KeyBindingType type)
virtual void | setCompletedText (const QString &)
void | setCompletedItems (const QStringList &items)
void | setCurrentItem (const QString &item, bool insert=false, int index=-1)
void | setCurrentItem (int index)
Signals inherited from KComboBox
void | returnPressed ()
void | returnPressed (const QString &)
void | completion (const QString &)
void | substringCompletion (const QString &)
void | textRotation (KCompletionBase::KeyBindingType)
void | completionModeChanged (KGlobalSettings::Completion)
void | aboutToShowContextMenu (QPopupMenu *p)

## Detailed Description

A combobox that lists the available fonts.

The items are painted using the respective font itself, so the user can easily choose a font based on its look. This can be turned off globally if the user wishes so.

Author
  Malte Starostik malte.nosp@m.@kde.nosp@m..org

Definition at line 35 of file kfontcombo.h.

## Constructor & Destructor Documentation

KFontCombo::KFontCombo | ( | QWidget * | parent,
|  | const char * | name = `0`
| ) |  |

Constructor.

Parameters

  parent | The parent widget
  name | The object name for the widget

Definition at line 163 of file kfontcombo.cpp.

KFontCombo::KFontCombo | ( | const QStringList & | fonts,
|  | QWidget * | parent,
|  | const char * | name = `0`
| ) |  |

Constructor that takes an already initialzed font list.

Parameters

  fonts | A list of fonts to show
  parent | The parent widget
  name | The object name for the widget

Definition at line 172 of file kfontcombo.cpp.

KFontCombo::~KFontCombo | ( |  | ) |

virtual

Destructor.

Definition at line 260 of file kfontcombo.cpp.

## Member Function Documentation

bool KFontCombo::bold | ( |  | ) | const

Returns the current bold status.

Returns
  true if fonts are bold

QString KFontCombo::currentFont | ( |  | ) | const

Returns
  the currently selected font.

Definition at line 237 of file kfontcombo.cpp.

bool KFontCombo::displayFonts | ( |  | ) |

static

Returns the user's setting of whether the items should be painted in the respective fonts or not.

Returns
  True if the respective fonts are used for painting

Definition at line 346 of file kfontcombo.cpp.

bool KFontCombo::italic | ( |  | ) | const

Returns the current italic status.

Returns
  True if fonts are italic

void KFontCombo::setBold | ( | bool | bold | ) |

Sets the listed fonts to bold or normal.

Parameters

  bold | Set to true to display fonts in bold

Definition at line 265 of file kfontcombo.cpp.

void KFontCombo::setCurrentFont | ( | const QString & | family | ) |

Sets the currently selected font.

Parameters

  family | Font to select.

Definition at line 189 of file kfontcombo.cpp.

void KFontCombo::setFonts | ( | const QStringList & | fonts | ) |

Sets the font list.

Parameters

  fonts | Font list to show

Definition at line 179 of file kfontcombo.cpp.

void KFontCombo::setItalic | ( | bool | italic | ) |

Sets the listed fonts to italic or regular.

Parameters

  italic | Set to true to display fonts italic

Definition at line 278 of file kfontcombo.cpp.

void KFontCombo::setSize | ( | int | size | ) |

Sets the listed fonts' size.

Parameters

  size | Set to the point size to display the fonts in

Definition at line 317 of file kfontcombo.cpp.

void KFontCombo::setStrikeOut | ( | bool | strikeOut | ) |

Sets the listed fonts to striked out or not.

Parameters

  strikeOut | Set to true to display fonts striked out

Definition at line 304 of file kfontcombo.cpp.

void KFontCombo::setUnderline | ( | bool | underline | ) |

Sets the listed fonts to underlined or not underlined.

Parameters

  underline | Set to true to display fonts underlined

Definition at line 291 of file kfontcombo.cpp.

int KFontCombo::size | ( |  | ) | const

Returns the current font size.

Returns
  The point size of the fonts

Definition at line 329 of file kfontcombo.cpp.

void KFontCombo::slotModified | ( | int | i | ) |

protected slot

Listens to highlighted(int)

Definition at line 232 of file kfontcombo.cpp.

bool KFontCombo::strikeOut | ( |  | ) | const

Returns the current strike out status.

Returns
  True if fonts are striked out

bool KFontCombo::underline | ( |  | ) | const

Returns the current underline status.

Returns
  True if fonts are underlined

void KFontCombo::updateFonts | ( |  | ) |

protected

Updated the combo's listBox() to reflect changes made to the fonts' attributed.

Definition at line 334 of file kfontcombo.cpp.

The documentation for this class was generated from the following files:

- kfontcombo.h
- kfontcombo.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys